### Signal

# Handy TabView::close-page

since: 1.2

#### Declaration

    gboolean
    close_page (
      HdyTabView* self,
      HandyTabPage* page,
      gpointer user_data
    )

#### Description [src]

Emitted after `hdy_tab_view_close_page()` has been called for `page`.

The handler is expected to call `hdy_tab_view_close_page_finish()` to confirm or reject the closing.

The default handler will immediately confirm closing for non-pinned pages, or reject it for pinned pages, equivalent to the following example:

    static gboolean
    close_page_cb (HdyTabView *view,
                   HdyTabPage *page,
                   gpointer    user_data)
    {
      hdy_tab_view_close_page_finish (view, page, !hdy_tab_page_get_pinned (page));

      return GDK_EVENT_STOP;
    }

The `hdy_tab_view_close_page_finish()` doesn’t have to happen during the handler, so can be used to do asynchronous checks before confirming the closing.

A typical reason to connect to this signal is to show a confirmation dialog for closing a tab.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
Available since: 1.2

#### Parameters

`page`

  Type: `HdyTabPage`

  A page of the view.

  The data is owned by the caller of the function.

#### Return value

Type: `gboolean`

No description available.